<template>
  <InfoBox title="Insider Trades">
    <table class="w-full table-auto border-collapse">
      <tbody>
        <tr v-for="(item, index) in insiderTrades" :key="index">
          <td :class="{ 'pb-2': index < insiderTrades.length - 1 }">
            {{ item.timestamp | date }}
          </td>
          <td>{{ item.companyName }}</td>
          <td>{{ item.traderName }}</td>
          <td>{{ item.traderRole }}</td>
          <td>{{ item.tradeType | tradeType }}</td>
          <td class="text-right">
            {{ item.amount | currency(item.currency) }}
          </td>
        </tr>
      </tbody>
    </table>
  </InfoBox>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapState } from 'vuex';

export default Vue.extend({
  computed: {
    ...mapState({
      insiderTrades: (state: any) => state.insiderTrades
    })
  }
});
</script>
